<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Jobs\UpdateTemporaryLeaveDays;

class UpdateTemporaryLeaveDaysCommand extends Command
{
    protected $signature = 'update:temporary-leavedays {month?} {year?}';
    protected $description = 'Tính lại ngày phép cho các note tạm.';

    public function __construct()
    {
        parent::__construct();
    }

    public function handle()
    {
        $month = $this->argument('month');
        $year = $this->argument('year');
        UpdateTemporaryLeaveDays::dispatch($month, $year);
    }
}
